Module SQL_總務系統
    Friend Sub SQL_圖片資料庫查詢()
        ConnOpen() : SQL1 = "SELECT TOP (1) 圖片資料庫, 是否可用 FROM 圖片資料庫管理 WHERE 是否可用 = 0 ORDER BY 圖片資料庫" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_會議記錄_姓名_下拉清單()
        ConnOpen()
        SQL1 = "SELECT  UserName AS 姓名  FROM  ras_Users  WHERE  (IsLockedOut = 0) AND (DIN NOT LIKE '15') AND (DIN NOT LIKE '21') AND (DIN NOT LIKE '999')  ORDER BY   UserName"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_會議記錄_執行時間_下拉清單()
        ConnOpen_ERP()
        SQL1 = "SELECT 執行時間 FROM 會議記錄控制表 WHERE 執行時間 NOT LIKE '' GROUP BY 執行時間 ORDER BY 執行時間"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_會議記錄清單()
        ConnOpen_ERP()
        SQL1 = "SELECT 會議編號, 時間, 地點, 會議項目, 細項說明, 執行時間, 執行情況, 預計完成, 備註, 已完成, 長期執行, 圖片庫, 核准, 核准狀態 
                FROM   會議記錄控制表 " & SQL2 & " ORDER BY 時間 DESC, 會議編號"
        CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_會議記錄_預計完成_下拉清單()
        ConnOpen_ERP()
        SQL1 = "SELECT 預計完成 FROM 會議記錄控制表 
                WHERE 預計完成 NOT LIKE '' AND 預計完成 NOT LIKE '1%' AND 預計完成 NOT LIKE '2%' AND 預計完成 NOT LIKE '3%' AND 預計完成 NOT LIKE '4%' AND 
                      預計完成 NOT LIKE '5%' AND 預計完成 NOT LIKE '6%' AND 預計完成 NOT LIKE '7%' AND 預計完成 NOT LIKE '8%' AND 預計完成 NOT LIKE '9%' AND 
                      預計完成 NOT LIKE '0%' GROUP BY 預計完成 ORDER BY 預計完成"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_會議記錄_執行情況_下拉清單()
        ConnOpen_ERP() : SQL1 = "SELECT 執行情況 FROM 會議記錄控制表 WHERE 執行情況 NOT LIKE '' GROUP BY 執行情況 ORDER BY 執行情況" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_會議決議執行人()
        ConnOpen_ERP() : SQL1 = "SELECT 項次, 執行人 FROM 會議決議執行人 WHERE 會議編號 LIKE '" & PA1 & "' ORDER BY 項次" : CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_會議記錄_單號查詢()
        ConnOpen_ERP() : SQL1 = "SELECT TOP (1) 會議編號 FROM 會議記錄控制表 WHERE (會議編號 LIKE '" & PA1 & "')" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_會議記錄修改()
        ConnOpen_ERP()
        SQL1 = "UPDATE 會議記錄控制表 SET 時間 = N'" & PA2 & "', 地點 = N'" & PA3 & "', 會議項目 = N'" & PA4 & "', 細項說明 = N'" & PA5 & "', 執行時間 = N'" & PA6 & "', 
                                          執行情況 = N'" & PA7 & "', 預計完成 = N'" & PA8 & "', 備註 = N'" & PA9 & "', 已完成 = N'" & BL1 & "', 長期執行 = N'" & BL2 & "', 
                                          核准 = N'" & BL3 & "' 
                WHERE (會議編號 LIKE '" & PA1 & "')"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_會議記錄修改1()
        ConnOpen_ERP()
        SQL1 = "UPDATE 會議記錄控制表 SET  核准 = N'" & BL3 & "', 備註 = N'" & PA9 & "', 核准狀態  = N'" & PA10 & "' WHERE (會議編號 LIKE '" & PA1 & "')"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_會議記錄新增()
        ConnOpen_ERP()
        SQL1 = "INSERT INTO  會議記錄控制表 (會議編號, 時間, 地點, 會議項目, 細項說明, 執行時間, 執行情況, 預計完成, 備註, 已完成, 長期執行, 圖片庫, 核准) 
                VALUES (N'" & PA1 & "', N'" & PA2 & "', N'" & PA3 & "', N'" & PA4 & "', N'" & PA5 & "', N'" & PA6 & "', N'" & PA7 & "', N'" & PA8 & "', 
                        N'" & PA9 & "', N'" & BL1 & "', N'" & BL2 & "', N'" & PA10 & "', N'" & BL3 & "')"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_會議決議執行人刪除()
        ConnOpen_ERP() : SQL1 = "DELETE 會議決議執行人 WHERE 會議編號 LIKE '" & PA1 & "' AND 執行人 LIKE N'" & PA3 & "'" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_會議決議執行人_單號查詢()
        ConnOpen_ERP() : SQL1 = "SELECT TOP (1) 會議編號 FROM 會議決議執行人 WHERE (會議編號 LIKE '" & PA1 & "' AND 項次 LIKE '" & PA2 & "')" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_會議決議執行人新增()
        ConnOpen_ERP()
        SQL1 = "INSERT INTO  會議決議執行人 (會議編號, 項次, 執行人) VALUES (N'" & PA1 & "', N'" & PA2 & "', N'" & PA3 & "')"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_會議記錄刪除()
        ConnOpen_ERP() : SQL1 = "DELETE 會議記錄控制表 WHERE (會議編號 LIKE '" & PA1 & "')" : CmdSet_For_dr()
        ConnOpen_ERP() : SQL1 = "DELETE 會議決議執行人 WHERE (會議編號 LIKE '" & PA1 & "')" : CmdSet_For_dr()
        ConnOpen_圖庫SQL() : SQL1 = "DELETE 會議記錄圖片 WHERE (會議編號 LIKE '" & PA1 & "')" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_會議圖片讀取()
        ConnOpen_圖庫SQL() : SQL1 = "SELECT 圖片 FROM 會議記錄圖片 WHERE 會議編號 LIKE '" & PA1 & "' AND 項次 LIKE '" & PA2 & "' ORDER BY 項次 DESC" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_會議圖片()
        ConnOpen_圖庫SQL() : SQL1 = "UPDATE 會議記錄圖片 SET 檔案 = 'JPG' WHERE 檔案 IS NULL" : CmdSet_For_dr()
        ConnOpen_圖庫SQL() : SQL1 = "SELECT 項次 AS Item, 檔案 AS [File.] FROM 會議記錄圖片 WHERE 會議編號 LIKE '" & PA1 & "' ORDER BY 項次" : CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_會議圖片讀取1()
        ConnOpen_圖庫SQL() : SQL1 = "SELECT 圖片 FROM 會議記錄圖片 WHERE 會議編號 LIKE '" & PA1 & "' AND 項次 LIKE '" & PA2 & "' ORDER BY 項次 DESC" : CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_會議圖片入系統()
        ConnOpen_圖庫SQL()
        SQL1 = "INSERT INTO 會議記錄圖片 (會議編號, 項次, 檔案, 圖片) SELECT N'" & PA1 & "', N'" & PA2 & "', N'" & PA3 & "', @binary_file"
        CmdSet_For_dr_pic()
    End Sub
    Friend Sub SQL_會議圖片最後一筆編號查詢()
        ConnOpen_圖庫SQL() : SQL1 = "SELECT 項次 FROM 會議記錄圖片 WHERE 會議編號 LIKE '" & PA1 & "' ORDER BY 項次 DESC" : CmdSet_For_dr()
    End Sub
End Module
